using IrcDotNet;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Concilium.Bot
{
    public interface IBotFeature
    {
        void Load();
        void Execute(string _sCommand, string _sSource, string _sTarget, string _sMessage, IList<string> _parameters, string _ip);
        IrcClient Client { get; set; }
    }
}
